Create Internal Transfer (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API for initiating an outgoing internal transfer between two accounts within the platform.

Behaviour : A successful response from this API indicates that the transfer was successfully executed.

Flow of Funds : Originator to Recipient only (PaymentType : CREDIT).

Settlement Timeline : Funds are transferred in real-time from the Originator to the Recipient account.

Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
paymentRailThe type of transfer.YesStringACH
paymentTypeThe payment type.YesStringCREDIT
amountThe amount to be transferred.YesNumber1000.00
originatorThe originator of the transfer.YesStringJohn Doe
recipientThe recipient of the transfer.YesStringJane Smith
referenceThe reference of the transfer.YesStringInvoice 123
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!